Bug 41106

Summary: [bonobo] Build fails with libtool-1.4
Product: [Retired] Red Hat Raw Hide Reporter: Enrico Scholz <rh-bugzilla>
Component: bonoboAssignee: Jonathan Blandford <jrb>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0CC: ddumas
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2001-06-07 14:34:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Enrico Scholz 2001-05-17 15:23:36 UTC
[ it's a bonobo problem, but this component does not exist in bugzilla ]

Description of Problem:

Rebuild of the packages fails.  This can be cured by removing '/.libs' from
the `libstorage_efs_la_LDFLAGS' in storage-modules/Makefile.{am,in}. I have
not tested if it breakes older libtools...


In addition I get a lot of 

| ../libtool: test: =: unary operator expected

messages, but they seem not to be fatal.




Steps to Reproduce:
1. rpm --rebuild bonobo-1.0.4-1.src.rpm


Actual Results:

/bin/sh ../libtool --mode=link gcc  -O2 -march=i386 -mcpu=i686 -Wall
-Wunused   -o libstorage_efs.la -rpath /usr/lib/bonobo/plugin
-avoid-version                            
-L/var/volatile/rpm/BUILD/bonobo-1.0.4/storage-modules/../libefs/src/.libs   
-lefs bonobo-storage-efs.lo bonobo-stream-efs.lo  
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
rm -fr .libs/libstorage_efs.la .libs/libstorage_efs.*
.libs/libstorage_efs.*
../libtool: test: =: unary operator expected
../libtool: test: =: unary operator expected
gcc:
/var/volatile/rpm/BUILD/bonobo-1.0.4/storage-modules/../libefs/src/.libs/.libs/libefs.so:
No such file or directory
gcc -shared  bonobo-storage-efs.lo bonobo-stream-efs.lo 
-L/var/volatile/rpm/BUILD/bonobo-1.0.4/storage-modules/../libefs/src/.libs
/var/volatile/rpm/BUILD/bonobo-1.0.4/storage-modules/../libefs/src/.libs/.libs/libefs.so 
-Wl,-soname -Wl,libstorage_efs.so -o .libs/libstorage_efs.so
make[2]: *** [libstorage_efs.la] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.7873 (%build)
    Bad exit status from /var/tmp/rpm-tmp.7873 (%build)
make[2]: Leaving directory
`/var/volatile/rpm/BUILD/bonobo-1.0.4/storage-modules'
make[1]: Leaving directory `/var/volatile/rpm/BUILD/bonobo-1.0.4'



Additional Information:
	
$ rpm -q libtool autoconf automake
libtool-1.4-2
autoconf-2.13-10
automake-1.4p1-1

Comment 1 David Mason 2001-05-17 15:43:11 UTC
The reason bonobo was not in bugzilla is because we do not ship it - thus we do
not support it. We will probably ship it the next time around - for now you may
report bonobo bugs to bugzilla.gnome.org - or through Ximian

Comment 2 Enrico Scholz 2001-05-17 15:54:45 UTC
But bonobo is in rawhide
(ftp://ftp.redhat.com/redhat/linux/rawhide/SRPMS/SRPMS/bonobo-1.0.4-1.src.rpm)
and rawhide is handled by bugzilla. So this bug is a bugzilla issue.

Comment 3 David Mason 2001-05-17 15:59:16 UTC
my apologies - I did not realize it had hit rawhide yet.. assigning

Comment 4 Enrico Scholz 2001-06-07 14:34:25 UTC
bonobo-component now existing in bugzilla; assigning to it...

Comment 5 Jonathan Blandford 2001-08-15 22:57:55 UTC
Works now